package com.dcit.authority.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.dao.DataAccessException;

import com.dcit.authority.dto.RoleResourcesInfoDTO;
import com.dcit.authority.dto.UserRoleMenuInfoDTO;
import com.dcit.authority.model.SysRoleResources;

public interface SysRoleResourcesMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysRoleResources record);

    int insertSelective(SysRoleResources record);

    SysRoleResources selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysRoleResources record);

    int updateByPrimaryKey(SysRoleResources record);
    
    int deleteRoleResourcesByRoleId(@Param("roleId") String roleId) throws DataAccessException;
    
    List<RoleResourcesInfoDTO> selectRoleResourcesByRoleId(Map<String, Object> map);
    
    List<UserRoleMenuInfoDTO> selectUserRoleMenuByRoleId(Map<String, Object> map);
    
}